org.jbpm.kie.services.impl.query.preprocessor

## Class PotOwnerTasksPreprocessor

- java.lang.Object
- - org.jbpm.kie.services.impl.query.preprocessor.UserTasksPreprocessor
  - - org.jbpm.kie.services.impl.query.preprocessor.PotOwnerTasksPreprocessor

- All Implemented Interfaces:
    org.dashbuilder.dataset.def.DataSetPreprocessor

      public class PotOwnerTasksPreprocessor
      extends UserTasksPreprocessor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PotOwnerTasksPreprocessor(org.kie.internal.identity.IdentityProvider identityProvider, org.kie.api.task.UserGroupCallback userGroupCallback, org.dashbuilder.dataset.DataSetMetadata metadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Collection<String>` | `getGroupColumns(Collection<String> columns)`
    `void` | `preprocess(org.dashbuilder.dataset.DataSetLookup lookup)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PotOwnerTasksPreprocessor

          public PotOwnerTasksPreprocessor(org.kie.internal.identity.IdentityProvider identityProvider,
                                           org.kie.api.task.UserGroupCallback userGroupCallback,
                                           org.dashbuilder.dataset.DataSetMetadata metadata)

  - ### Method Detail

    - #### preprocess

          public void preprocess(org.dashbuilder.dataset.DataSetLookup lookup)

      Specified by:
        `preprocess` in interface `org.dashbuilder.dataset.def.DataSetPreprocessor`
      Overrides:
        `preprocess` in class `UserTasksPreprocessor`

    - #### getGroupColumns

          protected Collection<String> getGroupColumns(Collection<String> columns)

      Overrides:
        `getGroupColumns` in class `UserTasksPreprocessor`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.